<!-- Spinner -->
<ngx-spinner [name]='"manifests"' [fullScreen]="true" bdColor="#f5f5f583" size="medium" type="ball-fussion" color="#EDAE49"></ngx-spinner>



<div class="card dialog-content" style="padding: 2%;">
	<ngx-timeline [events]="timelineEvents" [reverseOrder]="true" [enableAnimation]="false"
											[centerIconCustomTemplate]="centerIconCustomTemplate">
		<ng-template #centerIconCustomTemplate let-event="event">
			<div class="custom-icon">
				<mat-icon *ngIf="event.eventInfo.title === 'rendered'" [style.color]="'green'">done</mat-icon>
				<mat-icon *ngIf="event.eventInfo.title === 'deployment'" [style.color]="'blue'">rocket</mat-icon>
				<mat-icon *ngIf="event.eventInfo.title === 'migration'" [style.color]="'blue'">move_up</mat-icon>
				<mat-icon *ngIf="event.eventInfo.title === 'eviction'" [style.color]="'yellow'">block</mat-icon>
				<mat-icon *ngIf="event.eventInfo.title === 'deletion'" [style.color]="'red'">delete</mat-icon>
			</div>
		</ng-template>
	</ngx-timeline>
</div>


